﻿@model FQ.MD.WEB.ViewModels.Form.RoleMenuDeleteForm
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Delete;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", "Roles")">@Res.Roles</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", new { RoleId = Model.RoleId })">@Res.Menus</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Role</label>
            <label class="col-md-6">: @ViewBag.Role</label>
        </div>
        <div class="row">
            <div class="col-6">
            </div>
            <div class="col-6">
            </div>
        </div>
    </div>
    <div class="card-body">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.HiddenFor(model => model.RoleMenuId)
            @Html.HiddenFor(model => model.RoleId)
            @Html.HiddenFor(model => model.MenuId)
            
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Menu</label>
                    <div class="col-md-6">                        
                        @Html.DropDownList("MenuId", null, htmlAttributes: new { @class = "form-control", @disabled = "disabled" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Remark</label>
                    <div class="col-md-6">
                        @Html.TextAreaFor(model => model.Remark, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Remark, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <div class="offset-md-2 col-md-6">
                        <input type="submit" value="@Res.Delete" class="btn btn-sm btn-danger" />
                    </div>
                </div>
            </div>
        }
    </div>
</div>